Class | Attachment
In: | app/models/attachment.rb
Parent: | ActiveRecord::Base

Clase para los documentos adjuntos de noticias y paginas

### Methods

sync_visibility

### Public Instance methods

sync_visibility()

Sincroniza la visibilidad del documento adjunto con la visibilidad del documento al que pertenece

[Source]

        # File app/models/attachment.rb, line 8
     8:   def sync_visibility
     9:     if !document.show_in_irekia
    10:       self.show_in_irekia = false
    11:     end
    12:
    13:     if !document.show_in_agencia
    14:       self.show_in_agencia = false
    15:     end
    16:     return true
    17:   end

[Validate]